=== debian/changelog ===
camlp5 (5.12-3) unstable; urgency=low

  * Switch source format to 3.0 (quilt)
  * Add support for OCaml 3.11.2:
    - add Add-partial-OCaml-3.11.2-support.patch
  * Add Fix-typos-in-manpage.patch
  * debian/control:
    - add suggestion to ocaml-findlib
    - update Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 31 Jan 2010 10:13:13 +0100

camlp5 (5.12-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Update debian/{control,rules} to use new dh-ocaml
  * Update my e-mail address and remove DMUA
  * Add Mehdi Dogguy to Uploaders
  * Update Standards-Version to 3.8.3

  [ Mehdi Dogguy ]
  * Build-depend on dh-ocaml (>= 0.9.1) which fixes a bug when calling
    ocaml-lintian.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Oct 2009 13:44:22 +0100

camlp5 (5.12-1) unstable; urgency=low

  * New upstream release, ready for OCaml 3.11.1 (Closes: #534924)
  * Move to section ocaml
  * Add DM-Upload-Allowed
  * Update Standards-Version to 3.8.2
  * Switch debian/copyright to new format

 -- Stephane Glondu <steph@glondu.net>  Sun, 28 Jun 2009 11:10:13 +0200

camlp5 (5.10-3) unstable; urgency=low

  * uploading to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet, bump dh-ocaml
    build-dep to the minimum version implementing this
  * bump debhelper compatibility level to 7
  * debian/copyright: reference GPL-3 file for packaging license

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 14:24:21 +0100

camlp5 (5.10-2) experimental; urgency=low

  * Versioned build-dep on ocaml-compiler-libs.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Dec 2008 01:02:54 +0100

camlp5 (5.10-1) experimental; urgency=low

  * New upstream release, compatible with OCaml 3.11.0 (Closes: #507884)
  * Switch packaging to git
  * Add build-dependency to dh-ocaml
  * Add myself to uploaders
  * Update Standards-Version to 3.8.0
  * Add versioned dependency to OCaml to avoid confusion

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 20:03:34 +0100

camlp5 (5.08-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Sylvain Le Gall ]
  * Rebuild for ocaml 3.10.2
  * Add Sylvain Le Gall to uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 21 May 2008 23:35:53 +0200

camlp5 (5.08-1) experimental; urgency=low

  [ Ralf Treinen ]
  * NMU with maintainer's blessing
  * rebuild against ocaml 3.10.2

  [ Stefano Zacchiroli ]
  * new upstream release. This release compiles with ocaml 3.10.2
    (closes: Bug#472923).

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 22:23:51 +0200

camlp5 (5.07-1) unstable; urgency=low

  * new upstream release
  * rebuild against ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 09 Feb 2008 18:08:41 +0100

camlp5 (5.06-2) unstable; urgency=low

  * debian/control: fix out of date vcs-urls

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2007 13:28:25 +0100

camlp5 (5.06-1) unstable; urgency=low

  * new upstream release
  * update standards version, no changes needed
  * debian/rules: enable generation of ocamldoc api reference, adding to this
    end debian/camlp5r_w_macro.sh (a camlp5 filter to preprocess sources
    before passing them to ocamldoc)
  * add build-dep and dep on ocaml-compiler-libs, as some parts of camlp5 rely
    on the Parsetree module

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 30 Dec 2007 12:04:50 +0100

camlp5 (5.04-1) unstable; urgency=low

  * new upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Nov 2007 10:38:51 +0100

camlp5 (5.03-1) unstable; urgency=low

  * new upstream release
    - ship native code objects (closes: #441921)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 20 Nov 2007 11:08:09 +0100

camlp5 (5.02-1) unstable; urgency=low

  * new upstream release
  * uploading to unstable
  * better debian/watch line: account for tarballs in subdirs and skip docs
  * install HTML version of the documentation and register it with doc-base

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 17 Nov 2007 16:16:37 +0100

camlp5 (5.00-1) experimental; urgency=low

  * new upstream release
  * add Homepage field to debian/control
  * remove patch install_destdir (no longer needed since now upstream Makefile
    support vanilla DESTDIR passing)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 27 Sep 2007 22:13:32 +0200

camlp5 (4.08-1) unstable; urgency=low

  * new upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 15:57:39 +0200

camlp5 (4.05-1) experimental; urgency=low

  * Initial release (Closes: #432587)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 22 Jul 2007 19:31:53 +0200
