=== compile/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1907 2008-03-31 21:11:07Z deraugla $
+# $Id: Makefile,v 1.18 2008/03/31 21:11:07 deraugla Exp $
 
 TOP=..
 include ../config/Makefile
