=== man/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1889 2008-01-13 22:37:19Z deraugla $
+# $Id: Makefile,v 1.9 2008/01/13 22:37:19 deraugla Exp $
 
 include ../config/Makefile
