=== ocpp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1563 2007-11-26 09:20:52Z deraugla $
+# $Id: Makefile,v 1.8 2007/11/26 09:20:52 deraugla Exp $
 
 include ../config/Makefile
