=== debian/changelog ===
camlp5 (5.14-1) unstable; urgency=low

  * New upstream release
    - remove all patches (applied upstream)
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 May 2010 12:18:31 +0200

camlp5 (5.13-1) unstable; urgency=low

  * New upstream release:
    - remove Add-partial-OCaml-3.11.2-support.patch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Apr 2010 07:28:14 +0200
