=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 CONFIGURE_FLAGS += -name $(PKGNAME)
 CONFIGURE_FLAGS += -mandir /usr/share/man
 
+DEB_INSTALL_DOCS_ALL := -X.cvsignore
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 DEB_MAKE_BUILD_TARGET = world.opt
@@ -24,11 +25,6 @@
 
 configure/$(PKGNAME):: debian/configure-stamp
 debian/configure-stamp:
-	cp -a ocaml_stuff/3.11.1 ocaml_stuff/3.11.2
-	sed -i \
-	  -e 's/let ocaml_version = "3.11.1"/let ocaml_version = "3.11.2"/' \
-	  ocaml_stuff/3.11.2/utils/pconfig.ml
-	cp -a ocaml_src/main/ast2pt.ml_3.11.1 ocaml_src/main/ast2pt.ml_3.11.2
 	./configure $(CONFIGURE_FLAGS)
 	touch debian/configure-stamp
 clean::
@@ -36,7 +32,6 @@
 	rm -f doc/html/*.html config/Makefile config/Makefile.cnf myconfig
 	rm -Rf doc/html/rss
 	rm -f ocaml_src/main/ast2pt.ml
-	rm -Rf ocaml_stuff/3.11.2 ocaml_src/main/ast2pt.ml_3.11.2
 
 pre-build:: debian/META
 debian/META: debian/META.src
