=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://pauillac.inria.fr/~ddr/camlp5/ .*camlp5-([\d.]*)\.tgz
