=== debian/changelog ===
camlp5 (6.02.2-1build2) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:08:06 -0600

camlp5 (6.02.2-1build1) oneiric; urgency=low

  * No-change rebuild with OCaml 3.12.0 (lp: #778057)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 05 May 2011 20:46:04 +0200

camlp5 (6.02.2-1) unstable; urgency=low

  * New upstream release
    - apply upstream patches patch-6.02.2-[123]

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 12:14:07 +0200

camlp5 (6.02.1-1) unstable; urgency=low

  * New upstream release
    - import upstream patches 6.02.1-{1,2,3}
  * Put the full text of BSD license in debian/copyright
  * debian/control:
    - replace Conflicts (with old ocaml-nox) with Breaks
    - bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Feb 2011 05:58:07 +0100
