=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9.1),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-compiler-libs
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlp5.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlp5.git
 Homepage: http://pauillac.inria.fr/~ddr/camlp5/
@@ -26,7 +26,8 @@
  ${misc:Depends}
 Suggests: ocaml-findlib
 Provides: ${ocaml:Provides}
-Conflicts: ocaml-nox (<< 3.10.0)
+Breaks: ocaml-nox (<< 3.10.0)
+Replaces: ocaml-nox (<< 3.10.0)
 Description: Pre Processor Pretty Printer for OCaml - classical version
  Objective Caml (OCaml) is an implementation of the ML language,
  based on the Caml Light dialect extended with a complete
